<?php
/*  
Copyright:  2010 Haden Software <http://haden.cc/>

Released under the terms of the GNU General Public License.
You should have received a copy of the GNU General Public License,
along with this software. In the main directory, see: /licensing/
If not, see: <http://www.gnu.org/licenses/>.
*/

/**************************************************************************************************/
/* Direct access denial.                                                                          */
/**************************************************************************************** 0.9.0 ***/
if (realpath (__FILE__) === realpath ($_SERVER["SCRIPT_FILENAME"]))
	exit ("Do not access this file directly.");

/**************************************************************************************************/
/* Function for handling plugin activation.                                                       */
/*  Initialize option values here. Initializing these options will force them to be autoloaded    */
/*  into WordPress® instead of generating extra queries before they are set.                     */
/**************************************************************************************** 0.9.0 ***/
if (!function_exists ("hsmember_activate")) {
  function hsmember_activate() {
    do_action("hsmember_before_activation", get_defined_vars ());
    /* Check if option values are present, if not create them */
    if (!is_array (get_option ("hsmember_options")))
      update_option ("hsmember_options", array ());
    /* Capture the last activated plugin version number */
    update_option("hsmember_activated_version",HSMEMBER_VERSION);
    do_action("hsmember_after_activation", get_defined_vars ());
    return;
  } // end of hsmember_activate()
}
?>